Name:           xnoise
Version:        0.1.2
Release:        1%{?dist}
Summary:        A media player for GTK+
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://code.google.com/p/xnoise/
#Get xnoise from the repository
#   hg clone https://xnoise.googlecode.com/hg/ xnoise
#   cd xnoise
#   hg up -C default
#   make dist
#to generate xnoise-0.1.2.tar.bz2
Source0:        xnoise-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildArch:      noarch
BuildRequires:  intltool, libtool, autogen, automake >= 1.11
BuildRequires:  gnome-common, gtk2-devel, sqlite-devel, taglib-devel
BuildRequires:  unique-devel, gstreamer-devel, gstreamer-plugins-base-devel, gettext, desktop-file-utils

#Requires:   gstreamer, gstreamer-plugins-base, gtk2

%description
Xnoise is a media player written in vala for GTK+ that can play every kind
of audio/video data that gstreamer can handle. It uses a tracklist centric
design and uses a hierarchical tree structure media browser along with 
plugin interface. 

Xnoise is always running in a single instance, so that music files that are
associated with it, will always be added to the tracklist instead of 
starting a new instance.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/xnoise/*.la

desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
${RPM_BUILD_ROOT}%{_datadir}/applications/xnoise.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog
%{_bindir}/xnoise
%{_datadir}/xnoise/
%{_datadir}/icons/
%{_datadir}/applications/xnoise.desktop
%exclude %{_datadir}/locale/default/LC_MESSAGES/xnoise.mo
%{_libdir}/xnoise
%exclude %{_libdir}/pkgconfig/xnoise-1.0.pc


%changelog
* Mon May 3 2010 rtnpro <rtnpro@gmail.com> 0.1.2-3
- update the gtk-icon-cache, edited %description, removed ${RPM_BUILD_ROOT}%{_libdir}/xnoise/*.la

* Sat May 1 2010 rtnpro <rtnpro@gmail.com> 0.1.2-2
- xnoise.spec file cleanup and some edits

* Tue Apr 27 2010 rtnpro <rtnpro@gmail.com> 0.1.2-1
- initial RPM package xnoise
